Bug 1029984 - Use rhsm to enable repo instead yum-conf-manager
Use rhsm to enable repo instead yum-conf-manager
Status: CLOSED NOTABUG
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Docs Install Guide (Show other bugs)
6.0.2
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: Athene Chan
Dan Macpherson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-13 11:15 EST by Lukas Zapletal
Modified: 2015-05-11 18:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Build Name: 14370, Installation Guide-6.0-1 Build Date: 11-11-2013 14:07:51 Topic ID: 9711-549579 [Latest]
Last Closed: 2013-12-18 17:38:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukas Zapletal 2013-11-13 11:15:13 EST
Title: Installing Red Hat Satellite

Describe the issue:

Since RHEL 6.4 is a requirement, to enable repos rhsm tool can be now used directly:

[root@dhcp-8-29-232 ~]# subscription-manager repos --enable rhel-6-server-rpms 
Repo rhel-6-server-rpms is enabled for this system.

[root@dhcp-8-29-232 ~]# subscription-manager repos --enable rhel-server-6-satellite-6-mdp-2-rpms
Repo rhel-server-6-satellite-6-mdp-2-rpms is enabled for this system.
Comment 1 RHEL Product and Program Management 2013-11-13 11:28:53 EST
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.
Comment 5 Mike McCune 2013-12-18 17:38:30 EST
CLOSED:NOTABUG


The reason I did not suggest to use subscription-manager to manage your repos is that it *only* effects repos in /etc/yum.repos.d/redhat.repo

If the customer has custom repos, EPEL, etc.. they will still all be enabled.

This forces *everything* to get disabled and only use our repos for the install.

Note You need to log in before you can comment on or make changes to this bug.